%define api_version 0.2
%define lib_major   0
%define lib_name    %mklibname gfbgraph %{api_version} %{lib_major}
%define gi_name     %mklibname gfbgraph-gir %{api_version}
%define develname   %mklibname gfbgraph -d

%define url_ver     %(echo %{version}|cut -d. -f1,2)

Summary:	GLib/GObject wrapper for the Facebook Graph API
Name:		gfbgraph
Epoch:		1
Version:	0.2.4
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPLv2
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.16
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.4
BuildRequires:	pkgconfig(rest-0.7)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	gtk-doc
BuildRequires:	intltool

%description
GLib/GObject wrapper for the Facebook Graph API that integrates with GNOME Online Accounts.


%package -n %{lib_name}
Summary:	GLib/GObject wrapper for the Facebook Graph API
Group:		System/Libraries

%description -n %{lib_name}
GLib/GObject wrapper for the Facebook Graph API that integrates with GNOME Online Accounts.

%package -n %develname
Summary:	Support files necessary to compile applications with %{name}
Group:		Development/C
Requires:	%{lib_name} = %epoch:%{version}
Requires:	%{gi_name} = %epoch:%{version}
Provides:	%{name}-%{api_version}-devel = %epoch:%{version}-%{release}
Provides:	%{name}-devel = %epoch:%{version}-%{release}

%description -n %develname
Libraries, headers, and support files necessary to compile
applications using %{name}.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %epoch:%{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for %{name}.

%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure --enable-gtk-doc --disable-static --enable-introspection
%make_build

%install
%make_install

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/../doc/lib%{name}
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{lib_name}
%doc AUTHORS COPYING README NEWS
%{_libdir}/lib%{name}*-%{api_version}.so.%{lib_major}{,.*}

%files -n %develname
%doc %{_datadir}/gtk-doc/html/%{name}-0.2
%{_datadir}/gir-1.0/GFBGraph-%{api_version}.gir
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/GFBGraph-%{api_version}.typelib


%changelog
* Tue May 19 2020 ovitters <ovitters> 1:0.2.4-1.mga8
+ Revision: 1586147
- new version 0.2.4

* Wed Apr 22 2020 ovitters <ovitters> 1:0.2.3-5.mga8
+ Revision: 1570844
- rebuild for to test removal of deprecated macros

* Thu Feb 13 2020 umeabot <umeabot> 1:0.2.3-4.mga8
+ Revision: 1512496
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1:0.2.3-3.mga7
+ Revision: 1297870
- Mageia 7 Mass Rebuild

* Sun Feb 14 2016 umeabot <umeabot> 1:0.2.3-2.mga6
+ Revision: 960277
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 1:0.2.3-1.mga6
+ Revision: 882728
- adjust file list
+ ovitters <ovitters>
- new version 0.2.3

* Tue Jun 30 2015 wally <wally> 1:0.2.2-5.mga6
+ Revision: 849007
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 1:0.2.2-4.mga6
+ Revision: 847382
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 1:0.2.2-3.mga5
+ Revision: 749990
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.2.2-2.mga5
+ Revision: 679552
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 ovitters <ovitters> 1:0.2.2-1.mga5
+ Revision: 583861
- imported package gfbgraph

